require(detpack)
require(stats); require(graphics); require(grDevices)

N = 1000

Data <- matrix(rep(NA, 2 * N), nrow = 2)
Data[1, ] = rep(0.5, N)
Data[2, ] = rep(0.75, N)

det <- det.construct(Data, mode = 2, lb = c(0, 0), ub = c(1, 1))

color = colorRamp(c("#FFFFFF","#E6E680","#E6BF1A",
		    "#E68000","#FF4026","#993380",
		    "#4D26BF","#262680","#000000"))
screen(3); plot(t(Data), type = "p", pch = ".", main = "data")

screen(2); det2(Data, main = "linear det estimator", color = color)

h = seq(0, 1, by = 0.001)
Q = matrix(rep(NA, 2 * length(h)^2), nrow = 2)

for(i in 1:length(h))
{
	for(j in 1:length(h))
	{
		Q[1, i] = h[i]
		Q[2, j]
	}
	
}
